/**
 * The App.form.field.ComboBoxUserReset is a Ext.form.field.ComboBox
 * with a mechanism to reset it when the user select a dedicated row.
 * This row is the first one and contains the emptyText.
 *
 * @since 0.6.0.6
 *
 */
Ext.define('App.form.field.ComboBoxUserReset', {

    extend: 'App.form.field.ComboBoxMaster',
    alias: 'widget.xcomboboxuserreset',

    /**
     * @cfg {String} emptyText (required)
     * Define the value used to reset the ComboBox.
     */

    // private method requires by the ExtJs component model
    initComponent: function () {

        // define the reference store required by the base class
        this.refStore = this.store;

        // force the user reset
        this.userReset = true;

        // initialise the base class
        this.callParent(arguments);
    }
});