/**
 * The plugin instantiating a top toolbar with buttons to manipulate
 * the App.grid.plugin.RowEditor.
 *
 * @uses App.grid.plugin.RowEditorBase
 *
 */
Ext.define('App.grid.plugin.RowEditorToolbar',  {

    extend: 'Ext.AbstractPlugin',
    alias: 'plugin.pGridRowEditorToolbar',

    /**
     * Initialize the plugin.
     *
     * @param {App.grid.Panel} grid
     */
    init: function (grid) {

        "use strict";

        var toolbar,
            rowEditor = grid.getPlugin('rowEditor');

        // protection
        if (!rowEditor) {
            throw new Error('no grid row editor !!!');
        }

        toolbar = grid.getTopToolbar();

        toolbar.add([{
            text: 'Add',
            iconCls: 'silk-add',
            handler: rowEditor.onAddRow,
            scope: rowEditor
        }, ' ', {
            text: 'Delete',
            iconCls: 'silk-delete',
            handler: rowEditor.onDeleteRow,
            scope: rowEditor
        }, ' ', {
            text: 'Duplicate',
            iconCls: 'silk-clone',
            handler: rowEditor.onDuplicateRow,
            scope: rowEditor
        }, ' ', {
            text: 'Update',
            iconCls: 'silk-update',
            handler: rowEditor.onEditRow,
            scope: rowEditor
        }, ' ', {
            text: 'View',
            iconCls: 'silk-view',
            handler: rowEditor.onViewRow,
            scope: rowEditor
        }, '-']);
    }
});