/**
 * combo.js
 *
 * Script to test the Combo field.
 *
 */

// Activate the dynamic loading for Ext JS and application classes
App.setDynamicLoading(App.debug);

// classes required by the script
Ext.require('Ext.form.Panel');
Ext.require('Ext.direct.Manager');
Ext.require('Ext.direct.RemotingProvider');
Ext.require('Ext.tip.QuickTipManager');
Ext.require('App.form.field.ComboBox');
Ext.require('App.form.field.DictMultiDefault');

Ext.onReady(function(){

    "use strict";

    var form;

    Ext.QuickTips.init();
    Ext.direct.Manager.addProvider(App.REMOTE_API);
    App.defineModels();

    form = Ext.create('Ext.form.Panel', {
        title: 'DictMultiDefault',
        bodyPadding: 5,
        width: 350,
        layout: 'anchor',
        defaults: {
            anchor: '100%'
        },
        items: [{
            fieldLabel: 'MyText',
            xtype: 'textfield'
        }, {
            displayField: 'New_fieldsString',
            emptyText: 'select a key',
            fieldLabel: 'MyKey',
            itemId: 'keycombo',
            store: 'new_fieldsStore',
            valuefield: 'New_fieldsString',
            xtype: 'xcombobox'
        }, {
            comboBoxItemId: 'keycombo',
            dictField: 'New_fieldsDictionary',
            fieldLabel: 'MyDict',
            height: 100,
            store: 'new_fieldsStore',
            xtype: 'xdictmultidefault'
        }],
        renderTo: Ext.getBody()
    });

});
