/**
 * direct.js
 *
 * Script to test Ext Direct
 *
 */

// Activate the dynamic loading for Ext JS and application classes
App.setDynamicLoading(App.debug);

// local functions
decodeResponse = function (provider, response) {

    if (response instanceof String) {
        Ext.Msg.alert('ERROR', response);
        return;
    }

    if (response.type === 'exception') {
        Ext.Msg.alert('ERROR', response.xhr.statusText);
        return;
    }

    console.log("decode response");
    console.log(response);

};

// classes required by the script
Ext.require('Ext.direct.Manager');
Ext.require('Ext.direct.RemotingProvider');
Ext.require('Ext.tip.QuickTipManager');

Ext.onReady(function(){

    var tablename = "categories";

    Ext.QuickTips.init();

	console.log("Remote API");
	console.dir(App.REMOTE_API);

	Ext.direct.Manager.addProvider(App.REMOTE_API);

    console.log("start direct_1");

    console.log("echo test");
    DirectSvc.echo(5, decodeResponse);
    DirectSvc.echo({k:2, f:[1, 2, 3]}, decodeResponse);

    console.log("Dbui.getForm('"+tablename+"')");
    Dbui.getForm(tablename, decodeResponse);

    console.log("Dbui.getGrid('"+tablename+"')");
    Dbui.getGrid(tablename  , decodeResponse);

});