/**
 * linkedcombo.js
 *
 * Script to test the linked ComboBox fields.
 *
 */

// Activate the dynamic loading for Ext JS and application classes
App.setDynamicLoading(App.debug);

// classes required by the script
Ext.require('Ext.form.Panel');
Ext.require('Ext.direct.Manager');
Ext.require('Ext.direct.RemotingProvider');
Ext.require('Ext.tip.QuickTipManager');
Ext.require('App.form.field.ComboBoxMaster');
Ext.require('App.form.field.ComboBoxSlave');

Ext.onReady(function(){

    "use strict";

    var form;

    Ext.QuickTips.init();
    Ext.direct.Manager.addProvider(App.REMOTE_API);

    App.defineModels();

    form = Ext.create('Ext.form.Panel', {
        title: 'Linked comboBoxes',
        bodyPadding: 5,
        width: 350,
        layout: 'anchor',
        defaults: {
            anchor: '100%'
        },
        items: [{
            fieldLabel: 'MyText',
            xtype: 'textfield'
        }, {
            displayField: 'ProjectsProject',
            fieldLabel: 'MyProject',
            itemId: 'id_projects',
            refStore: 'harvestersStore',
            valueField: 'HarvestersId_projects',
            xtype: 'xcomboboxmaster'
        }, {
            displayField: 'HarvestersController',
            fieldLabel: 'MyController',
            masterValueField: 'HarvestersId_projects',
            masterItemId: 'id_projects',
            refStore: 'harvestersStore',
            valueField: 'HarvestersController',
            xtype: 'xcomboboxslave'
        }],
        renderTo: Ext.getBody()
    });

});
