/**
 * store_0.js
 * Only use Extjs components in order to test the librairy.
 *
 * To test and debug store.
 *
 */
Ext.namespace('App.data');


/**
 * main function
 */

var main = function(provider, response){

	var model = response.result.model;
	
	console.log('model');
	console.dir(model.store);

	// create the JSonWriter
	// NOTE writter is required to get the xaction mechanism.
	var writer = new Ext.data.JsonWriter({
		encode: true,
		encodeDelete: true,
	});

	// create the store	
	var store = new Ext.data.JsonStore({
		autoSave: false,
		baseParams: {
			dbFields: model.store.dbFields,
			table: model.store.table,
			debug: true,
		},
		fields: model.store.fields,
		idProperty: model.store.idProperty, 
		root: 'data',
		url: App.dburl,
		writer: writer,			
	});
	
	store.load();

	/* 
	 * play with the store when loaded
	 * Un-comment block of lines to test:
	 * update, add or destroy functionalities
	 * 
	 */
	
	store.on("load",function(){
		console.log("store loaded: "+this.getCount()+" records")
	
		// update the record
		var record1 = this.getAt(1);
		record1.set("TeamsTeam", "a ab abc");
		console.dir(record1);
		this.save();

		// Add a new record
//		var record2 = new this.recordType();
//		record2.set("version", "2011.0");
//		this.add(record2);
//		this.insert(0, record2);
//		this.save();
		
		// Delete a record
//		var record3 = this.getAt(this.find("TeamsId", "3"));
//		console.log("records to be delete");
//		console.dir(record3);
//		this.remove(record3);
//		this.save();
		
	}, store);
	
};


Ext.onReady(function(){

    Ext.QuickTips.init();

	// Expose the remote service cfgSvc
	Ext.Direct.addProvider(App.cfgSvcMethods);

	// Request grid models from the server
	cfgSvc.getGridModel('teams', main)

});